##### !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
#####
##### Contact me (gc) if you want to change
##### source version of this package, as there are a couple
##### of in-game checks to perform for validation.
#####
##### !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
##### !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

%define name nethack_falconseye
%define version 3.3.1_jtp_1.9.3
%define release %mkrel 4

%define iconname nethackfalconseye

Name: %{name}
Summary: Graphical role-playing game based on nethack
Version: %{version}
Release: %{release}
Group: Games/Adventure
License: GPL-like
Source0: %{name}-%{version}.tar.bz2
Source10: nethack.16.png
Source11: nethack.32.png
Source12: nethack.48.png
Patch0: nethack_falconseye-331_jtp_19-make-it-work.patch
Patch1:	nethack_falconseye-3.3.1-fix-str-fmt.patch
URL: http://www.hut.fi/~jtpelto2/nethack.html
BuildRequires: byacc flex tetex-latex tetex-dvips
BuildRequires: libSDL-devel libxaw-devel ncurses-devel popt-devel 
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
# Author: jaakko.peltonen@hut.fi

%description
NetHack is one of the oldest computer role-playing games still played and
developed. The latest version of the game, NetHack 3.3.1, was released in
August 2000.

Some players may dislike the game's character-based graphics. Newer
versions of NetHack feature tile-based, somewhat prettier graphics, but I
decided to go even further. Thus, I decided to create a new,
graphics-intensive look for NetHack.

Falcon's Eye is a mouse-driven interface for NetHack that enhances the
visuals, audio and accessibility of the game, yet retains all the original
gameplay and game features.

%prep
%setup -q
%patch0 -p0
%patch1 -p1 -b .str-fmt

%build
pushd sys/unix
sh setup.sh
popd
cd src
export CFLAGS="$RPM_OPT_FLAGS -I../include"
# Note that percent-make will not work
make

%install
rm -rf $RPM_BUILD_ROOT
make install
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/%{name}
mkdir -p $RPM_BUILD_ROOT/%{_gamesbindir}

cp -a compiled/games/lib/nethackdir/* $RPM_BUILD_ROOT/%{_libdir}/%{name}
rm -rf $RPM_BUILD_ROOT/%{_libdir}/%{name}/manual
cp compiled/games/nethack $RPM_BUILD_ROOT/%{_gamesbindir}
cp util/lev_comp util/dgn_comp $RPM_BUILD_ROOT/%{_libdir}/%{name}

find $RPM_BUILD_ROOT/%{_libdir}/* -type d -exec chmod 755 {} \;
chmod -s $RPM_BUILD_ROOT/%{_libdir}/%{name}/nethack
perl -pi -e 's|^HACKDIR=.*|HACKDIR=%{_libdir}/%{name}|' $RPM_BUILD_ROOT/%{_gamesbindir}/nethack
perl -pi -e 's|^fi|fi\nexport NETHACKOPTIONS="windowtype=jtp,time,noshowexp,number_pad,lit_corridor,rest_on_space"|' \
		$RPM_BUILD_ROOT/%{_gamesbindir}/nethack
perl -pi -e 's|^fullscreen=.*|fullscreen=1|' $RPM_BUILD_ROOT/%{_libdir}/%{name}/config/jtp_opts.txt

cd doc
latex Guidebook.tex
dvips Guidebook.dvi -o Guidebook.ps
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man6
rm -f recover.6
cp *.6 $RPM_BUILD_ROOT/%{_mandir}/man6

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications
# (stormi) Terminal=true required otherwise the game crashes
cat > $RPM_BUILD_ROOT/%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=NetHack Falcons Eye
Comment=NetHack Falcons Eye
Exec=%{_gamesbindir}/nethack
Icon=%{iconname}
Terminal=true
Type=Application
StartupNotify=true
Categories=Game;RolePlaying;AdventureGame;X-MandrivaLinux-MoreApplications-Games-Adventure;
EOF

mkdir -p $RPM_BUILD_ROOT/%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_liconsdir}
cp %{SOURCE10} $RPM_BUILD_ROOT/%{_miconsdir}/%{iconname}.png
cp %{SOURCE11} $RPM_BUILD_ROOT/%{_iconsdir}/%{iconname}.png
cp %{SOURCE12} $RPM_BUILD_ROOT/%{_liconsdir}/%{iconname}.png

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%files
%defattr(-,root,root)
%doc doc/*.txt doc/Guidebook.ps win/jtp/gamedata/manual
%{_gamesbindir}/*
%{_libdir}/%{name}
%{_mandir}/*/*
%{_datadir}/applications/mandriva-%{name}.desktop
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png




%changelog
* Fri May 15 2009 Samuel Verschelde <stormi@mandriva.org> 3.3.1_jtp_1.9.3-4mdv2010.0
+ Revision: 376280
- fix str fmt (1000 lines patch !)
- fix icon names
- fix desktop file
- start in terminal otherwise it crashes

* Tue Jul 29 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.3.1_jtp_1.9.3-3mdv2009.0
+ Revision: 253787
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 3.3.1_jtp_1.9.3-1mdv2008.1
+ Revision: 140994
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's error: string list key "Categories" in group "Desktop Entry" does not have a semicolon (";") as trailing character
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Sat Dec 23 2006 Crispin Boylan <crisb@mandriva.org> 3.3.1_jtp_1.9.3-1mdv2007.0
+ Revision: 101927
-Use png icons outright\n-Add libxaw-devel to buildrequires
-Remove hard-coded packager
-New version, XDG menu
- Import nethack_falconseye

* Fri Nov 19 2004 Olivier Blin <blino@mandrake.org> 3.3.1_jtp_1.9-6mdk
- birthday rebuild

